Ensure PasswordPolicy
Ensures that the PasswordPolicy with the provided ID is created or modified. The full PasswordPolicy needs to be provided to ensure (either update or create) the PasswordPolicy. Non present data will only be filled with defaults or left empty, but not take previous values into consideration.
The token can be generated using the Authentication API.
The ID (UUID) of the PasswordPolicy.
70323699-7c28-58e7-9e0c-ff644f6947a5The ID (UUID) of the PasswordPolicy.
70323699-7c28-58e7-9e0c-ff644f6947a5Metadata
PasswordPolicy successfully updated.
The ID (UUID) of the PasswordPolicy.
70323699-7c28-58e7-9e0c-ff644f6947a5The type of the resource.
The URL of the PasswordPolicy.
/passwordpolicies/70323699-7c28-58e7-9e0c-ff644f6947a5PasswordPolicy successfully ensured.
Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Not Found
The resource that was requested could not be found.
Conflict
The UUID is already taken by another party, follow the guides to generate UUIDs uniquely.
Unsupported Media Type
The request has an unsupported media type.
Unprocessable Entity
The request was well-formed but was unable to be followed due to semantic errors.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
PUT /passwordpolicies/{passwordPolicyId} HTTP/1.1
Host: iam.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 209
{
"id": "70323699-7c28-58e7-9e0c-ff644f6947a5",
"metadata": {},
"properties": {
"description": "Password policy for John Doe.",
"minLength": 1,
"minNumberChars": 0,
"minUpperChars": 0,
"minLowerChars": 0,
"minSpecialChars": 0
}
}{
"id": "70323699-7c28-58e7-9e0c-ff644f6947a5",
"type": "passwordpolicy",
"href": "/passwordpolicies/70323699-7c28-58e7-9e0c-ff644f6947a5",
"metadata": {
"createdDate": "2020-12-10T13:37:50+01:00",
"createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2020-12-11T13:37:50+01:00",
"lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>"
},
"properties": {
"description": "Password policy for John Doe.",
"minLength": 1,
"minNumberChars": 0,
"minUpperChars": 0,
"minLowerChars": 0,
"minSpecialChars": 0
}
}Last updated
Was this helpful?